System Requirements for PsychCorpCenter-based Scoring Software

The PsychCorp Assessment Center is designed using Internet standards to have the least client system requirements possible. Due to its interactive nature, the Assessment Center requires the following:

  • Netscape Navigator version 4.7 or later or Microsoft Internet Explorer version 4.0 or later
  • Active Scripting (JavaScript) enabled
  • Cookies enabled. Note, the Assessment Center uses cookies for session management only. No Assessment Center cookies will be stored on your computer. They are deleted when you end your session
  • Secure Sockets Layer (SSL) encryption supported
  • Adobe Acrobat Viewer installed. All test reports, manuals, and sample reports are in PDF format. If you do not have the Adobe Acrobat Viewer you can download it free of charge by using the link below:

Additional Requirements to Take Timed Tests

Note: Timed tests are administered with a Java applet and are not supported on Macintosh. 
A Java Virtual Machine (JVM) must be installed. If it is not you can download it:

Java must be enabled. To verify that it is:

  • In Internet Explorer
    In the menu, under Tools >> Internet Options, click the Security tab and the Custom Level button. Scroll down to the Microsoft VM / Java Permissions section and make sure the Disable Java option is not checked.
  • In Netscape Navigator
    In the menu, under Edit >> Preferences click Advanced and make sure the Enable Java checkbox is checked.

Screen resolution must be set to a minimum of 800 x 600.

Verify that your system meets the Assessment Center system requirements.